400 Errors on API after scope update

Options

I am receiving 400 errors when I try to refresh my token after updating my scope. I tried restoring the scope to the previous values and am still getting a 400 error. I have tried testing in Postman but am getting other errors. Nothing in my code base has changed other than trying to update the scope variable. This is very concerning and has our process shutdown until it's fixed.

Here is my scope:
content:*:* core:*:* datahub:*:* enrollment:*:* grades:*:* quizzing:*:* reporting:*:* role:*:* users:*:*

Unfortunately I'm getting some unusual errors on Postman, too, which is what I used to develop this process. I was trying to add an groups and sections to the scope and ended up crashing everything. Please help! We have literally thousands of students that need to be enrolled this weekend.

Tagged:

Answers

  • Jacqueline.M.898
    Jacqueline.M.898 Posts: 9 🌱
    Options

    Does anyone have a recommendation for where I can get support for this issue? This was working fine for months and the only adjustment made was an addition to the scopes which I have since reversed. I really need help right away.

  • Jacqueline.M.898
    Jacqueline.M.898 Posts: 9 🌱
    Options

    Something is very broken here. I can't even do a "whoami" now. Please advise.